## linux-signed-arm64 6.18~rc7+1~exp1

=== debian/changelog ===
linux-signed-arm64 (6.18~rc7+1~exp1) experimental; urgency=medium

  * Sign kernel from linux 6.18~rc7-1~exp1

  * New upstream release candidate.
    - mm/huge_memory: Fix initialization of huge zero folio (Closes: #1121013)

  [ Bastian Blank ]
  * Introduce a base package for version sync.

  [Anatoliy Gunya]
  * [arm64] Add initial Raspberry Pi 5 support
    - enable MMC_SDHCI_BRCMSTB, GPIO_BRCMSTB, PINCTRL_BRCMSTB
      and PINCTRL_BCM2712 as modules
    - enable OF_OVERLAY
    - enable MISC_RP1 as a module

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 24 Nov 2025 17:51:01 +0100

linux (6.18~rc6-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 17 Nov 2025 22:45:00 +0100
