=== debian/control ===
Source: linux-signed-arm64
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.2.0
Build-Depends: debhelper-compat (= 13), python3:any, sbsigntool [amd64 arm64]
Build-Depends-Arch: kernel-wedge (>= 2.105~) [arm64] <!pkg.linux.nokernel>, kmod [arm64] <!pkg.linux.nokernel>, linux-image-6.18-arm64-16k-unsigned (= 6.18~rc7-1~exp1) [arm64] <!pkg.linux.nokernel !pkg.linux.quick>, linux-image-6.18-arm64-unsigned (= 6.18~rc7-1~exp1) [arm64] <!pkg.linux.nokernel !pkg.linux.quick>, linux-image-6.18-cloud-arm64-unsigned (= 6.18~rc7-1~exp1) [arm64] <!pkg.linux.nokernel !pkg.linux.quick>, linux-image-6.18-rt-arm64-unsigned (= 6.18~rc7-1~exp1) [arm64] <!pkg.linux.nokernel !pkg.linux.quick>, linux-image-6.18-test-unsigned (= 6.18~rc7-1~exp1) [arm64] <pkg.linux.quick !pkg.linux.nokernel>, rsync [arm64] <!pkg.linux.nokernel>
Rules-Requires-Root: no
Homepage: https://www.kernel.org/
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git

Package: linux-image-6.18-arm64
Architecture: arm64
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick>
Built-Using: linux (= 6.18~rc7-1~exp1)
Pre-Depends: linux-base (>= 4.12~)
Depends: initramfs-tools (>= 0.120+deb8u2) [arm64] | linux-initramfs-tool [arm64], kmod, linux-base-6.18-arm64 (= 6.18~rc7-1~exp1), ${misc:Depends}
Recommends: apparmor [arm64]
Suggests: debian-kernel-handbook, firmware-linux-free, linux-doc-6.18
Replaces: linux-image-6.18-arm64-unsigned
Breaks: fwupdate (<< 12-7) [arm64], initramfs-tools (<< 0.120+deb8u2) [arm64], wireless-regdb (<< 2019.06.03-1~) [arm64]
Conflicts: linux-image-6.18-arm64-unsigned
Description: Linux 6.18-rc7 for 64-bit ARMv8 machines (signed)
 The Linux kernel 6.18-rc7 and modules for use on 64-bit ARMv8 machines.
 .
 The kernel image is signed for use with Secure Boot.

Package: linux-image-6.18-arm64-16k
Architecture: arm64
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick>
Built-Using: linux (= 6.18~rc7-1~exp1)
Pre-Depends: linux-base (>= 4.12~)
Depends: initramfs-tools (>= 0.120+deb8u2) [arm64] | linux-initramfs-tool [arm64], kmod, linux-base-6.18-arm64-16k (= 6.18~rc7-1~exp1), ${misc:Depends}
Recommends: apparmor [arm64]
Suggests: debian-kernel-handbook, firmware-linux-free, linux-doc-6.18
Replaces: linux-image-6.18-arm64-16k-unsigned
Breaks: fwupdate (<< 12-7) [arm64], initramfs-tools (<< 0.120+deb8u2) [arm64], wireless-regdb (<< 2019.06.03-1~) [arm64]
Conflicts: linux-image-6.18-arm64-16k-unsigned
Description: Linux 6.18-rc7 for 64-bit ARMv8 machines with 16k pages (signed)
 The Linux kernel 6.18-rc7 and modules for use on 64-bit ARMv8 machines
 with 16k pages.
 .
 The kernel image is signed for use with Secure Boot.

Package: linux-image-6.18-cloud-arm64
Architecture: arm64
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick>
Built-Using: linux (= 6.18~rc7-1~exp1)
Pre-Depends: linux-base (>= 4.12~)
Depends: initramfs-tools (>= 0.120+deb8u2) [arm64] | linux-initramfs-tool [arm64], kmod, linux-base-6.18-cloud-arm64 (= 6.18~rc7-1~exp1), ${misc:Depends}
Recommends: apparmor [arm64]
Suggests: debian-kernel-handbook, firmware-linux-free, linux-doc-6.18
Replaces: linux-image-6.18-cloud-arm64-unsigned
Breaks: fwupdate (<< 12-7) [arm64], initramfs-tools (<< 0.120+deb8u2) [arm64], wireless-regdb (<< 2019.06.03-1~) [arm64]
Conflicts: linux-image-6.18-cloud-arm64-unsigned
Description: Linux 6.18-rc7 for arm64 cloud (signed)
 The Linux kernel 6.18-rc7 and modules for use on cloud platforms
 supporting arm64 virtual machines.
 .
 The kernel image is signed for use with Secure Boot.

Package: linux-image-6.18-rt-arm64
Architecture: arm64
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick>
Built-Using: linux (= 6.18~rc7-1~exp1)
Pre-Depends: linux-base (>= 4.12~)
Depends: initramfs-tools (>= 0.120+deb8u2) [arm64] | linux-initramfs-tool [arm64], kmod, linux-base-6.18-rt-arm64 (= 6.18~rc7-1~exp1), ${misc:Depends}
Recommends: apparmor [arm64]
Suggests: debian-kernel-handbook, firmware-linux-free, linux-doc-6.18
Replaces: linux-image-6.18-rt-arm64-unsigned
Breaks: fwupdate (<< 12-7) [arm64], initramfs-tools (<< 0.120+deb8u2) [arm64], wireless-regdb (<< 2019.06.03-1~) [arm64]
Conflicts: linux-image-6.18-rt-arm64-unsigned
Description: Linux 6.18-rc7 for 64-bit ARMv8 machines (signed), PREEMPT_RT
 The Linux kernel 6.18-rc7 and modules for use on 64-bit ARMv8 machines.
 .
 The kernel image is signed for use with Secure Boot.
 .
 This kernel is configured with PREEMPT_RT real time support.

Package: linux-image-6.18-test
Architecture: arm64
Build-Profiles: <pkg.linux.quick !pkg.linux.nokernel>
Built-Using: linux (= 6.18~rc7-1~exp1)
Pre-Depends: linux-base (>= 4.12~)
Depends: initramfs-tools (>= 0.120+deb8u2) [arm64] | linux-initramfs-tool [arm64], kmod, linux-base-6.18-test (= 6.18~rc7-1~exp1), ${misc:Depends}
Recommends: apparmor [arm64]
Suggests: debian-kernel-handbook, firmware-linux-free, linux-doc-6.18
Replaces: linux-image-6.18-test-unsigned
Breaks: fwupdate (<< 12-7) [arm64], initramfs-tools (<< 0.120+deb8u2) [arm64], wireless-regdb (<< 2019.06.03-1~) [arm64]
Conflicts: linux-image-6.18-test-unsigned
Description: Linux 6.18-rc7 for  (signed)
 The Linux kernel 6.18-rc7 and modules for use on .
 .
 The kernel image is signed for use with Secure Boot.

Package: ata-modules-6.18-arm64-di
Architecture: arm64
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: ata-modules
Depends: kernel-image-6.18-arm64-di, scsi-core-modules-6.18-arm64-di
Kernel-Version: 6.18-arm64
Description: ATA disk modules
 This package contains core ATA disk modules used by both PATA and SATA
 disk drivers.

Package: btrfs-modules-6.18-arm64-di
Architecture: arm64
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: btrfs-modules
Depends: kernel-image-6.18-arm64-di, md-modules-6.18-arm64-di
Kernel-Version: 6.18-arm64
Description: BTRFS filesystem support
 This package contains the BTRFS filesystem module for the kernel.

Package: cdrom-core-modules-6.18-arm64-di
Architecture: arm64
Section: debian-installer
Priority: standard
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: cdrom-core-modules
Depends: kernel-image-6.18-arm64-di, scsi-core-modules-6.18-arm64-di
Kernel-Version: 6.18-arm64
Description: CDROM support
 This package contains core CDROM support for the kernel.

Package: crypto-dm-modules-6.18-arm64-di
Architecture: arm64
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: crypto-dm-modules
Depends: kernel-image-6.18-arm64-di, md-modules-6.18-arm64-di
Kernel-Version: 6.18-arm64
Description: devicemapper crypto module
 This package contains the devicemapper crypto (dm-crypt) module.

Package: crypto-modules-6.18-arm64-di
Architecture: arm64
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: crypto-modules
Depends: kernel-image-6.18-arm64-di
Kernel-Version: 6.18-arm64
Description: crypto modules
 This package contains crypto modules.

Package: ext4-modules-6.18-arm64-di
Architecture: arm64
Section: debian-installer
Priority: standard
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: ext2-modules, ext3-modules, ext4-modules
Depends: kernel-image-6.18-arm64-di
Kernel-Version: 6.18-arm64
Description: ext2/ext3/ext4 filesystem support
 This package contains the ext4 filesystem module for the kernel, which
 also supports ext2 and ext3.

Package: f2fs-modules-6.18-arm64-di
Architecture: arm64
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: f2fs-modules
Depends: kernel-image-6.18-arm64-di
Kernel-Version: 6.18-arm64
Description: f2fs filesystem support
 This package contains the f2fs (Flash-Friendly Filesystem) module.

Package: fat-modules-6.18-arm64-di
Architecture: arm64
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: fat-modules
Depends: kernel-image-6.18-arm64-di
Kernel-Version: 6.18-arm64
Description: FAT filesystem support
 This package contains the FAT and VFAT filesystem modules for the kernel.

Package: fb-modules-6.18-arm64-di
Architecture: arm64
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: fb-modules
Depends: input-modules-6.18-arm64-di, kernel-image-6.18-arm64-di
Kernel-Version: 6.18-arm64
Description: Frame buffer support
 This package contains Frame buffer drivers for the kernel.

Package: input-modules-6.18-arm64-di
Architecture: arm64
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: input-modules
Depends: kernel-image-6.18-arm64-di, usb-modules-6.18-arm64-di
Kernel-Version: 6.18-arm64
Description: Input devices support
 This package contains input device drivers for the kernel.

Package: isofs-modules-6.18-arm64-di
Architecture: arm64
Section: debian-installer
Priority: standard
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: isofs-modules
Depends: cdrom-core-modules-6.18-arm64-di, kernel-image-6.18-arm64-di
Kernel-Version: 6.18-arm64
Description: ISOFS filesystem support
 This package contains the ISOFS filesystem module for the kernel.

Package: jfs-modules-6.18-arm64-di
Architecture: arm64
Section: debian-installer
Priority: standard
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: jfs-modules
Depends: kernel-image-6.18-arm64-di
Kernel-Version: 6.18-arm64
Description: JFS filesystem support
 This package contains the JFS filesystem module for the kernel.

Package: kernel-image-6.18-arm64-di
Architecture: arm64
Section: debian-installer
Priority: standard
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: drm-core-modules, efi-modules, kernel-image, mmc-core-modules, mtd-core-modules
Kernel-Version: 6.18-arm64
Description: Linux kernel image and core modules for the Debian installer
 This package contains the kernel image and core modules for the Debian
 installer boot images.  It does _not_ provide a usable kernel for your
 full Debian system.

Package: loop-modules-6.18-arm64-di
Architecture: arm64
Section: debian-installer
Priority: standard
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: loop-modules
Depends: kernel-image-6.18-arm64-di
Kernel-Version: 6.18-arm64
Description: Loopback filesystem support
 This package contains loopback filesystem support for the kernel.

Package: md-modules-6.18-arm64-di
Architecture: arm64
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: md-modules
Depends: kernel-image-6.18-arm64-di
Kernel-Version: 6.18-arm64
Description: RAID and LVM support
 This package contains RAID and LVM modules for the kernel.

Package: mmc-modules-6.18-arm64-di
Architecture: arm64
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: mmc-modules
Depends: kernel-image-6.18-arm64-di, usb-modules-6.18-arm64-di
Kernel-Version: 6.18-arm64
Description: MMC/SD card modules
 This package contains modules needed to support MMC (multimedia) and SD
 cards.

Package: multipath-modules-6.18-arm64-di
Architecture: arm64
Section: debian-installer
