## linux-signed-arm64 6.18.3+1

=== debian/changelog ===
linux-signed-arm64 (6.18.3+1) unstable; urgency=medium

  * Sign kernel from linux 6.18.3-1

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.18.3

  [ Aurelien Jarno ]
  * Add breaks against u-boot-efi-dtb (<< 5) on architectures with DTB files.

  [ Bastian Blank ]
  * Don't remove own files in clean target.  This fixes the contents of
    kernel-image udebs.

  [ Salvatore Bonaccorso ]
  * drm/amdgpu: don't attach the tlb fence for SI (Closes: #1123046)
  * sched/proxy: Yield the donor task

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 02 Jan 2026 18:44:35 +0100

linux (6.18.2-1~exp1) experimental; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.18.2

  [ Uwe Kleine-König ]
  * Make dracut the preferred initramfs generator.

  [ John Paul Adrian Glaubitz ]
  * [alpha] Add patch to update uapi headers for glibc >= 2.42

  [ Salvatore Bonaccorso ]
  * [arm64,armhf] clk: samsung: exynos-clkout: Assign .num before accessing .hws
    (Closes: #1121211)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 18 Dec 2025 20:23:43 +0100
