=== debian/control ===
Source: linux-signed-arm64
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.2.0
Build-Depends: debhelper-compat (= 13), python3:any, sbsigntool [amd64 arm64]
Build-Depends-Arch: kernel-wedge (>= 2.105~) [arm64] <!pkg.linux.nokernel> <pkg.linux.quick !noudeb !pkg.linux.nokernel>, kmod [arm64] <!pkg.linux.nokernel> <pkg.linux.quick !noudeb !pkg.linux.nokernel>, linux-image-6.18.3+deb14-arm64-16k-unsigned (= 6.18.3-1) [arm64] <!pkg.linux.nokernel !pkg.linux.quick>, linux-image-6.18.3+deb14-arm64-unsigned (= 6.18.3-1) [arm64] <!pkg.linux.nokernel !pkg.linux.quick>, linux-image-6.18.3+deb14-cloud-arm64-unsigned (= 6.18.3-1) [arm64] <!pkg.linux.nokernel !pkg.linux.quick>, linux-image-6.18.3+deb14-rt-arm64-unsigned (= 6.18.3-1) [arm64] <!pkg.linux.nokernel !pkg.linux.quick>, linux-image-6.18.3+deb14-test-unsigned (= 6.18.3-1) [arm64] <pkg.linux.quick !pkg.linux.nokernel>, rsync [arm64] <!pkg.linux.nokernel>
Rules-Requires-Root: no
Homepage: https://www.kernel.org/
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git

Package: linux-image-6.18.3+deb14-arm64
Architecture: arm64
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick>
Built-Using: linux (= 6.18.3-1)
Pre-Depends: linux-base (>= 4.12~)
Depends: dracut [arm64] | initramfs-tools (>= 0.120+deb8u2) [arm64] | linux-initramfs-tool [arm64], kmod, linux-base-6.18.3+deb14-arm64 (= 6.18.3-1), ${misc:Depends}
Recommends: apparmor [arm64]
Suggests: debian-kernel-handbook, firmware-linux-free, linux-doc-6.18
Replaces: linux-image-6.18.3+deb14-arm64-unsigned
Breaks: fwupdate (<< 12-7) [arm64], initramfs-tools (<< 0.120+deb8u2) [arm64], u-boot-efi-dtb (<< 5) [arm64], wireless-regdb (<< 2019.06.03-1~) [arm64]
Conflicts: linux-image-6.18.3+deb14-arm64-unsigned
Description: Linux 6.18.3 for 64-bit ARMv8 machines (signed)
 The Linux kernel 6.18.3 and modules for use on 64-bit ARMv8 machines.
 .
 The kernel image is signed for use with Secure Boot.

Package: linux-image-6.18.3+deb14-arm64-16k
Architecture: arm64
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick>
Built-Using: linux (= 6.18.3-1)
Pre-Depends: linux-base (>= 4.12~)
Depends: dracut [arm64] | initramfs-tools (>= 0.120+deb8u2) [arm64] | linux-initramfs-tool [arm64], kmod, linux-base-6.18.3+deb14-arm64-16k (= 6.18.3-1), ${misc:Depends}
Recommends: apparmor [arm64]
Suggests: debian-kernel-handbook, firmware-linux-free, linux-doc-6.18
Replaces: linux-image-6.18.3+deb14-arm64-16k-unsigned
Breaks: fwupdate (<< 12-7) [arm64], initramfs-tools (<< 0.120+deb8u2) [arm64], u-boot-efi-dtb (<< 5) [arm64], wireless-regdb (<< 2019.06.03-1~) [arm64]
Conflicts: linux-image-6.18.3+deb14-arm64-16k-unsigned
Description: Linux 6.18.3 for 64-bit ARMv8 machines with 16k pages (signed)
 The Linux kernel 6.18.3 and modules for use on 64-bit ARMv8 machines with
 16k pages.
 .
 The kernel image is signed for use with Secure Boot.

Package: linux-image-6.18.3+deb14-cloud-arm64
Architecture: arm64
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick>
Built-Using: linux (= 6.18.3-1)
Pre-Depends: linux-base (>= 4.12~)
Depends: dracut [arm64] | initramfs-tools (>= 0.120+deb8u2) [arm64] | linux-initramfs-tool [arm64], kmod, linux-base-6.18.3+deb14-cloud-arm64 (= 6.18.3-1), ${misc:Depends}
Recommends: apparmor [arm64]
Suggests: debian-kernel-handbook, firmware-linux-free, linux-doc-6.18
Replaces: linux-image-6.18.3+deb14-cloud-arm64-unsigned
Breaks: fwupdate (<< 12-7) [arm64], initramfs-tools (<< 0.120+deb8u2) [arm64], u-boot-efi-dtb (<< 5) [arm64], wireless-regdb (<< 2019.06.03-1~) [arm64]
Conflicts: linux-image-6.18.3+deb14-cloud-arm64-unsigned
Description: Linux 6.18.3 for arm64 cloud (signed)
 The Linux kernel 6.18.3 and modules for use on cloud platforms supporting
 arm64 virtual machines.
 .
 The kernel image is signed for use with Secure Boot.

Package: linux-image-6.18.3+deb14-rt-arm64
Architecture: arm64
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick>
Built-Using: linux (= 6.18.3-1)
Pre-Depends: linux-base (>= 4.12~)
Depends: dracut [arm64] | initramfs-tools (>= 0.120+deb8u2) [arm64] | linux-initramfs-tool [arm64], kmod, linux-base-6.18.3+deb14-rt-arm64 (= 6.18.3-1), ${misc:Depends}
Recommends: apparmor [arm64]
Suggests: debian-kernel-handbook, firmware-linux-free, linux-doc-6.18
Replaces: linux-image-6.18.3+deb14-rt-arm64-unsigned
Breaks: fwupdate (<< 12-7) [arm64], initramfs-tools (<< 0.120+deb8u2) [arm64], u-boot-efi-dtb (<< 5) [arm64], wireless-regdb (<< 2019.06.03-1~) [arm64]
Conflicts: linux-image-6.18.3+deb14-rt-arm64-unsigned
Description: Linux 6.18.3 for 64-bit ARMv8 machines (signed), PREEMPT_RT
 The Linux kernel 6.18.3 and modules for use on 64-bit ARMv8 machines.
 .
 The kernel image is signed for use with Secure Boot.
 .
 This kernel is configured with PREEMPT_RT real time support.

Package: linux-image-6.18.3+deb14-test
Architecture: arm64
Build-Profiles: <pkg.linux.quick !pkg.linux.nokernel>
Built-Using: linux (= 6.18.3-1)
Pre-Depends: linux-base (>= 4.12~)
Depends: dracut [arm64] | initramfs-tools (>= 0.120+deb8u2) [arm64] | linux-initramfs-tool [arm64], kmod, linux-base-6.18.3+deb14-test (= 6.18.3-1), ${misc:Depends}
Recommends: apparmor [arm64]
Suggests: debian-kernel-handbook, firmware-linux-free, linux-doc-6.18
Replaces: linux-image-6.18.3+deb14-test-unsigned
Breaks: fwupdate (<< 12-7) [arm64], initramfs-tools (<< 0.120+deb8u2) [arm64], u-boot-efi-dtb (<< 5) [arm64], wireless-regdb (<< 2019.06.03-1~) [arm64]
Conflicts: linux-image-6.18.3+deb14-test-unsigned
Description: Linux 6.18.3 for  (signed)
 The Linux kernel 6.18.3 and modules for use on .
 .
 The kernel image is signed for use with Secure Boot.

Package: kernel-image-6.18.3+deb14-arm64-di
Architecture: arm64
Section: debian-installer
Priority: standard
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: kernel-image
Kernel-Version: 6.18.3+deb14-arm64
Description: Linux kernel image and core modules for the Debian installer
 This package contains the kernel image and core modules for the Debian
 installer boot images.  It does _not_ provide a usable kernel for your
 full Debian system.

Package: kernel-image-6.18.3+deb14-test-di
Architecture: arm64
Section: debian-installer
Priority: standard
Package-Type: udeb
Build-Profiles: <pkg.linux.quick !noudeb !pkg.linux.nokernel>
Provides: kernel-image
Kernel-Version: 6.18.3+deb14-test
Description: Linux kernel image and core modules for the Debian installer
 This package contains the kernel image and core modules for the Debian
 installer boot images.  It does _not_ provide a usable kernel for your
 full Debian system.
